﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using Microsoft.Practices.Composite.Regions;
using Module1.Views;
using Microsoft.Practices.Unity;

namespace Module1.ViewModels
{
	public class Module1ViewModel : ViewModelBase
	{
		public string Title { get; set; }
		public string Header { get; set; }
		public string Content { get; set; }
		public string MinimizedContent { get; set; }
		public string Details { get; set; }

		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					this.OnPropertyChanged("IsSelected");
				}

			}
		}


		public Module1ViewModel()
		{
			this.Title = "Module 1 Title";
			this.Header = "Module 1 Header";
			this.Content = "Module 1 Content";
			this.MinimizedContent = "Module 1 MinimizedContent";
			this.Details = "Module 1 Details";
            this.IsSelected = true;
		}


	}
}
