﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Regions;
using Module1.Views;

namespace Module1
{
	public class Module1 : IModule
	{
		IUnityContainer container;
		IRegionManager regionManager;

		public Module1(IRegionManager regionManager, IUnityContainer container)
		{
			this.regionManager = regionManager;
			this.container = container;
		}
		public void Initialize()
		{
			regionManager.RegisterViewWithRegion("OutlookBarRegion",
			() => this.container.Resolve<Module1OutlookItem>());

		}
	}
}
