﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using Microsoft.Practices.Composite.Regions;
using Module2.Views;
using Microsoft.Practices.Unity;

namespace Module2.ViewModels
{
	class Module2ViewModel : ViewModelBase
	{
		public string Title { get; set; }
		public string Header { get; set; }
		public string Content { get; set; }
		public string MinimizedContent { get; set; }
		public string Details { get; set; }

		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					this.OnPropertyChanged("IsSelected");
				}
			}
		}


		public Module2ViewModel()
		{
			this.Title = "Module 2 Title";
			this.Header = "Module 2 Header";
			this.Content = "Module 2 Content";
			this.MinimizedContent = "Module 2 MinimizedContent";
			this.Details = "Module 2 Details";
            this.IsSelected = true;
		}

	}
}
